
Lookup Editor - Feature #1080

Display selector for fields with a defined type

10/26/2015 02:21 AM - Luke Murphey

Status: Closed Start date: 10/26/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.3   

Description

bool: check-box (http://docs.handsontable.com/0.19.0/demo-checkbox.html)

date-time: time selector (http://docs.handsontable.com/0.19.0/demo-date.html)

int: use validator to make sure it is an integer

Subtasks:

Bug # 1082: New lookup edit dialog is messed up Closed

Task # 1083: Make sure lookup info call doesn't complete after the handsontable instanc... Closed

Feature # 1084: Time selection dialog for time fields Closed

History

#1 - 10/26/2015 04:15 AM - Luke Murphey

Date-time needs to be formatted as an epoch number.

#2 - 10/26/2015 07:14 PM - Luke Murphey

I'm going to need to pass columns headers in the colHeaders param to get the table to recognize that the header is not to be treated as a boolean.

However, this prevents the header from being modifiable (cannot change CSV schema).

#3 - 10/26/2015 08:27 PM - Luke Murphey

Things to do:

1. Re-enable column editing on CSV lookups

2. Remove code to prevent editing first row (since it isn't the header anymore on KV lookups)

3. Make sure that the save works on CSV lookups (since the header isn't in the table)

4. Add sorting support

5. Make sure that the meta-data call gets done before the table has data posted to it

#4 - 10/26/2015 08:37 PM - Luke Murphey

Could modify cell header using a custom renderer: http://docs.handsontable.com/0.19.0/demo-custom-renderers.html

#5 - 10/28/2015 06:00 AM - Luke Murphey

- Target version changed from 2.0 to Plus_2

#6 - 03/16/2016 07:27 PM - Luke Murphey

- Target version changed from Plus_2 to Plus_4

#7 - 06/21/2016 10:08 PM - Luke Murphey

- Target version changed from Plus_4 to Plus_2
#8 - 06/21/2016 10:09 PM - Luke Murphey

- Target version changed from Plus_2 to 2.3

#9 - 06/22/2016 05:00 PM - Luke Murphey

http://docs.splunk.com/Documentation/Splunk/6.3.1/RESTREF/RESTkvstore

#10 - 06/24/2016 08:12 PM - Luke Murphey

- Status changed from New to Closed
